Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Service_Object_Type Class Reference

Define the methods for handling the configuration of <ACE_Service_Objects>. More...

`#include <Service_Types.h>`

Inheritance diagram for ACE_Service_Object_Type:

[legend]
Collaboration diagram for ACE_Service_Object_Type:

[legend]
List of all members.

## Public Methods
| ACE_Service_Object_Type (void *so, const ACE_TCHAR *name, u_int flags=0, ACE_Service_Object_Exterminator gobbler=0)
| ~ACE_Service_Object_Type (void)
virtual int | suspend (void) const
virtual int | resume (void) const
virtual int | init (int argc, ACE_TCHAR *argv[]) const
virtual int | fini (void) const
virtual int | info (ACE_TCHAR **str, size_t len) const

## Detailed Description

Define the methods for handling the configuration of <ACE_Service_Objects>.

## Constructor & Destructor Documentation

ACE_Service_Object_Type::ACE_Service_Object_Type | ( | void * | so,
|  | const ACE_TCHAR * | s_name,
|  | u_int | f = 0,
|  | ACE_Service_Object_Exterminator | gobbler = 0
| ) |

ACE_INLINE ACE_Service_Object_Type::~ACE_Service_Object_Type | ( | void |  | ) |

## Member Function Documentation

int ACE_Service_Object_Type::fini | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

ACE_INLINE int ACE_Service_Object_Type::info | ( | ACE_TCHAR ** | str,
|  | size_t | len
| ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Service_Object_Type::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

ACE_INLINE int ACE_Service_Object_Type::resume | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

ACE_INLINE int ACE_Service_Object_Type::suspend | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

The documentation for this class was generated from the following files:

- Service_Types.h
- Service_Types.cpp
- Service_Types.i